Re: [squid-users] Compile error Squid 3.2.1

From: Jeff Gerard <>
Date: Mon, 27 Aug 2012 19:39:46 -0600 (MDT)

Unfortunately I'm still running FC6 and the gcc compile was from 2007. I just have not had time to upgrade the box.

I have tried what you suggested and still have the same issues.

From: Eliezer Croitoru < >
Date: August 27, 2012 2:59:35 PM CDT
Subject: Re: [squid-users] Compile error Squid 3.2.1

On 08/27/2012 09:25 PM, Jeff Gerard wrote:

I am looking for help in determining why my compile will not work.

I have been running into the following errors during compile:


I am running this on Fedora Core 6 (have been running 3.1.20 with no issue) and gcc version is 4.1.2
6 ? you mean the 2006 version?

Configure options:

'--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/sbin' '--libexecdir=/usr/lib/squid' '--localstatedir=/var' '--datadir=/usr/share' '--sysconfdir=/etc/squid' '--enable-removal-policies=heap,lru' '--enable-storeio=aufs,diskd,ufs' '--enable-ssl' '--with-openssl=/usr/kerberos' '--enable-delay-pools' '--enable-linux-netfilter' '--enable-external-acl-helpers=ip_user,ldap_group,unix_group,wbinfo_group' '--enable-useragent-log' '--enable-referer-log' '--disable-dependency-tracking' '--enable-cachemgr-hostname=localhost' '--enable-cache-digests' '--with-large-files' '--disable-wccpv2' '--disable-wccp' 'CFLAGS=-march=i486' 'LDFLAGS=-pie -lpcreposix -lpcre'
i would start with a more "basic" configure with netfiler enabled and see if there anything el

The only references to that error I have seen deal with adding the -march=i486 CFLAG option which I have tried, to no avail.

Any help would be greatly appreciated.

Thanks in advance...

Received on Tue Aug 28 2012 - 01:40:01 MDT

This archive was generated by hypermail 2.2.0 : Tue Aug 28 2012 - 12:00:18 MDT